<?php
/**
 * About Author options.
 *
 * @package Mirza Blog
 */

$default = mirza_blog_get_default_theme_options();

// About Author Section
$wp_customize->add_section( 'section_home_about_author',
	array(
		'title'      => __( 'About Author', 'mirza-blog' ),
		'priority'   => 100,
		'capability' => 'edit_theme_options',
		'panel'      => 'home_page_panel',
		)
);
// Disable About Author Section
$wp_customize->add_setting('theme_options[disable_about_author_section]', 
	array(
	'default' 			=> $default['disable_about_author_section'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'mirza_blog_sanitize_checkbox'
	)
);

$wp_customize->add_control('theme_options[disable_about_author_section]', 
	array(		
	'label' 	=> __('Disable Feautured Courses Section', 'mirza-blog'),
	'section' 	=> 'section_home_about_author',
	'settings'  => 'theme_options[disable_about_author_section]',
	'type' 		=> 'checkbox',	
	)
);

// Number of items
$wp_customize->add_setting('theme_options[number_of_ss_items]', 
	array(
	'default' 			=> $default['number_of_ss_items'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'mirza_blog_sanitize_number_range'
	)
);

$wp_customize->add_control('theme_options[number_of_ss_items]', 
	array(
	'label'       => __('Number of Items', 'mirza-blog'),
	'description' => __('Save & Refresh the customizer to see its effect. Maximum is 1.', 'mirza-blog'),
	'section'     => 'section_home_about_author',   
	'settings'    => 'theme_options[number_of_ss_items]',		
	'type'        => 'number',
	'active_callback' => 'mirza_blog_about_author_active',
	'input_attrs' => array(
			'min'	=> 1,
			'max'	=> 1,
			'step'	=> 1,
		),
	)
);

$wp_customize->add_setting('theme_options[ss_content_type]', 
	array(
	'default' 			=> $default['ss_content_type'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'mirza_blog_sanitize_select'
	)
);

$wp_customize->add_control('theme_options[ss_content_type]', 
	array(
	'label'       => __('Content Type', 'mirza-blog'),
	'description' => __('Recommended Image Size: 1080x1080.', 'mirza-blog'),
	'section'     => 'section_home_about_author',   
	'settings'    => 'theme_options[ss_content_type]',		
	'type'        => 'select',
	'active_callback' => 'mirza_blog_about_author_active',
	'choices'	  => array(
			'ss_page'	  => __('Page','mirza-blog'),
		),
	)
);

$number_of_ss_items = mirza_blog_get_option( 'number_of_ss_items' );

for( $i=1; $i<=$number_of_ss_items; $i++ ){

	// About Author Section Page
	$wp_customize->add_setting('theme_options[about_author_page_'.$i.']', 
		array(
		'type'              => 'theme_mod',
		'capability'        => 'edit_theme_options',	
		'sanitize_callback' => 'mirza_blog_dropdown_pages'
		)
	);

	$wp_customize->add_control('theme_options[about_author_page_'.$i.']', 
		array(
		'label'       => sprintf( __('Select Page #%1$s', 'mirza-blog'), $i),
		'section'     => 'section_home_about_author',   
		'settings'    => 'theme_options[about_author_page_'.$i.']',		
		'type'        => 'dropdown-pages',
		'active_callback' => 'mirza_blog_about_author_page',
		)
	);
}